Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.servlets.jsp.taglib
Class PrintPropertyTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.content.servlets.jsp.taglib.BaseTag
                  |
                  +--com.bea.p13n.content.servlets.jsp.taglib.GetPropertyTag
                        |
                        +--com.bea.p13n.content.servlets.jsp.taglib.PrintPropertyTag

public class PrintPropertyTag
extends GetPropertyTag

Tag to print a property of a ConfigurableEntity.

Since:
  2.0
See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.content.servlets.jsp.taglib.GetPropertyTag
`dateFormat, defValue, encodeType, entity, maxLength, name, numFormat, resultId, resultType, scope`

Fields inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, readOnly, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`PrintPropertyTag()`

Method Summary
`java.lang.String` | `getResultId()` Override to always return null.
`void` | `setResultId(java.lang.String resultId)` Override to never set the resultId.

Methods inherited from class com.bea.p13n.content.servlets.jsp.taglib.GetPropertyTag
`doStartTag, encode, encode, getDateFormat, getDefault, getEncode, getMaxLength, getName, getNumFormat, getResultType, getScope, release, setDateFormat, setDefault, setEncode, setEntity, setMaxLength, setMaxLength, setName, setNumFormat, setResultType, setScope, toString, toString, toString`

Methods inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getReadOnly, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setReadOnly, setReadOnly, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintPropertyTag

    public PrintPropertyTag()

Method Detail

### getResultId

    public java.lang.String getResultId()

  Override to always return null.

  Overrides:
    getResultId in class GetPropertyTag

### setResultId

    public void setResultId(java.lang.String resultId)

  Override to never set the resultId.

  Overrides:
    setResultId in class GetPropertyTag

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved